### Method

# Gtk Entry get_icon_paintable

#### Declaration [src]

    GdkPaintable*
    gtk_entry_get_icon_paintable (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos
    )

#### Description [src]

Retrieves the `GdkPaintable` used for the icon.

If no `GdkPaintable` was used for the icon, `NULL` is returned.

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  Icon position.

#### Return value

Type: `GdkPaintable`

A `GdkPaintable` if no icon is set for this position or the icon set is not a `GdkPaintable`.

The data is owned by the instance.
The return value can be `NULL`.